Package ru.bitel.bgbilling.modules.bvcom.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.bvcom.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FILTER_PAYMENT_ACCEPT`
  `static final int`
  `FILTER_PAYMENT_REJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBvcomOrderId()`
  `Transaction`
  `setBvcomOrderId(String bvcomOrderId)`
  `Transaction`
  `setContractComment(String contractComment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setCreateDate(Date createDate)`
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `Transaction`
  `setTransactionDate(Date transactionDate)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setParameters, setPaymentId, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FILTER_PAYMENT_ACCEPT

    public static final int FILTER_PAYMENT_ACCEPT
    See Also:
      - Constant Field Values

  - ### FILTER_PAYMENT_REJECT

    public static final int FILTER_PAYMENT_REJECT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getBvcomOrderId

    public String getBvcomOrderId()

  - ### setBvcomOrderId

    public Transaction setBvcomOrderId(String bvcomOrderId)

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setCreateDate

    public Transaction setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BGAbstractTransaction`

  - ### setTransactionDate

    public Transaction setTransactionDate(Date transactionDate)
    Overrides:
      `setTransactionDate` in class `BGAbstractTransaction`